Skip to main content
GET
/
v1
/
funds
/
{code}
/
nav
Lịch sử NAV của quỹ
curl --request GET \
  --url https://api-gw.verolabs.co/v1/funds/{code}/nav \
  --header 'X-API-KEY: <api-key>'
{
  "data": [
    {
      "date": "2023-11-07T05:31:56Z",
      "nav": 123,
      "last_year_nav": 123,
      "yoy_change_pct": 123,
      "management_fee": 123,
      "avg_annual_return": 123,
      "holding_volume": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.data-hub.verolabs.co/llms.txt

Use this file to discover all available pages before exploring further.

Fetch NAV history for a single fund code.

NAV chart

Use for fund performance charts.

Historical series

Returns NAV observations over a selected time range.

Common use cases

  • Render NAV history.
  • Compare fund performance over time.
  • Calculate returns from NAV observations.

Key parameters

  • code: fund code.
  • from and to: ISO 8601 UTC timestamps.
  • limit: maximum number of NAV points returned.

Authorizations

X-API-KEY
string
header
required

API key được cấp cho tài khoản của bạn.

Path Parameters

code
string
required
Example:

"VNDAF"

Query Parameters

from
string<date-time>
required

ISO 8601 UTC; phải kết thúc bằng "Z".

Example:

"2026-05-15T00:00:00Z"

to
string<date-time>
required

ISO 8601 UTC; phải kết thúc bằng "Z" và nằm sau from.

Example:

"2026-05-15T01:00:00Z"

limit
integer
default:1000
Required range: 1 <= x <= 10000
Example:

100

Response

OK

data
object[]